#ifndef __DIALING_H__
#define __DIALING_H__
#include <glib.h>
#include <glib-object.h>
#define TYPE_DIALING (dialing_get_type())
#define DIALING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DIALING, Dialing))
#define DIALING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DIALING, DialingClass))
#define IS_DIALING(obj) (G_TYPE_CHECK_TYPE ((obj), TYPE_DIALING))
#define IS_DIALING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),TYPE_DIALING))
#define DIALING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DIALING, DialingClass))
/* Object/Class definition */
typedef struct _Dialing Dialing;
typedef struct _DialingPrivate DialingPrivate;
typedef struct _DialingClass DialingClass;

/* Object structure */
struct _DialingClass {
	GObjectClass parent_class;
	/* private functions */
};

/* Class structure */
struct _Dialing {
	GObject object;
	/* private data */
	DialingPrivate *private_data;
};

/* used by data type */
GType dialing_get_type (void);

/* Object methods */
Dialing* dialing_new (void);
gchar* dialing_get_device (Dialing *self);
void dialing_set_device (Dialing *self, const gchar* data);
gchar* dialing_get_dial_command (Dialing *self);
void dialing_set_dial_command (Dialing *self, const gchar* data);
gchar* dialing_get_init1 (Dialing *self);
void dialing_set_init1 (Dialing *self, const gchar* data);
gchar* dialing_get_init2 (Dialing *self);
void dialing_set_init2 (Dialing *self, const gchar* data);
gchar* dialing_get_init3 (Dialing *self);
void dialing_set_init3 (Dialing *self, const gchar* data);
gchar* dialing_get_init4 (Dialing *self);
void dialing_set_init4 (Dialing *self, const gchar* data);
gchar* dialing_get_init5 (Dialing *self);
void dialing_set_init5 (Dialing *self, const gchar* data);
gchar* dialing_get_init6 (Dialing *self);
void dialing_set_init6 (Dialing *self, const gchar* data);
gchar* dialing_get_init7 (Dialing *self);
void dialing_set_init7 (Dialing *self, const gchar* data);
gchar* dialing_get_init8 (Dialing *self);
void dialing_set_init8 (Dialing *self, const gchar* data);
gchar* dialing_get_init9 (Dialing *self);
void dialing_set_init9 (Dialing *self, const gchar* data);
gchar* dialing_get_login (Dialing *self);
void dialing_set_login (Dialing *self, const gchar* data);
gchar* dialing_get_name (Dialing *self);
void dialing_set_name (Dialing *self, const gchar* data);
gchar* dialing_get_password (Dialing *self);
void dialing_set_password (Dialing *self, const gchar* data);
gchar* dialing_get_phone (Dialing *self);
void dialing_set_phone (Dialing *self, const gchar* data);
gchar* dialing_get_speed (Dialing *self);
void dialing_set_speed (Dialing *self, const gchar* data);
gchar* dialing_get_stupid (Dialing *self);
void dialing_set_stupid (Dialing *self, const gchar* data);
gchar* dialing_get_type (Dialing *self);
void dialing_set_type (Dialing *self, const gchar* data);
gchar* dialing_get_volume (Dialing *self);
void dialing_set_volume (Dialing *self, const gchar* data);
#endif /* header definition */
